:root {
    --tooltip-bounce-range: 3;
}

.tippy-box[data-theme~="builder-theme"] {
    background-color: #ff1e00;
    color: #ffffff;
    border-radius: 5px;
    font-size: 10px;
    z-index: 999;
}

.tippy-box[data-theme~="builder-theme"] .tippy-content {
    padding: 5px 7px;
}

.tippy-box[data-theme~="builder-theme"]>.tippy-arrow::before {
    color: #ff1e00;
}

.tippy-box[data-theme~="builder-theme"][data-animation="tooltip-bounce"][data-state="hidden"] {
    animation: none;
    opacity: 0;
}

.tippy-box[data-theme~="builder-theme"][data-animation="tooltip-bounce"][data-state="visible"][data-placement^="top"] {
    animation: tooltip-bounce-top 2.0s ease-in-out infinite;
    opacity: 1;
}

.tippy-box[data-theme~="builder-theme"][data-animation="tooltip-bounce"][data-state="visible"][data-placement^="bottom"] {
    animation: tooltip-bounce-bottom 2.0s ease-in-out infinite;
    opacity: 1;
}

.tippy-box[data-theme~="builder-theme"][data-animation="tooltip-bounce"][data-state="visible"][data-placement^="left"] {
    animation: tooltip-bounce-left 2.0s ease-in-out infinite;
    opacity: 1;
}

.tippy-box[data-theme~="builder-theme"][data-animation="tooltip-bounce"][data-state="visible"][data-placement^="right"] {
    animation: tooltip-bounce-right 2.0s ease-in-out infinite;
    
}

@keyframes tooltip-bounce-top {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(calc(var(--tooltip-bounce-range) * -1px));
    }
}

@keyframes tooltip-bounce-bottom {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(calc(var(--tooltip-bounce-range) * 1px));
    }
}

@keyframes tooltip-bounce-left {
    0%, 100% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(calc(var(--tooltip-bounce-range) * -1px));
    }
}

@keyframes tooltip-bounce-right {
    0%, 100% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(calc(var(--tooltip-bounce-range) * 1px));
    }
}

.tooltip-inner img {
	width: 15px;
    margin-right: 3px;
}